Get an animal's nutrition
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/nutrition \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/nutrition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/nutrition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"kind": "food",
"name": "<string>",
"amount": "<string>",
"schedule_note": "<string>",
"sort_order": 123
}
],
"diet": {
"brand": "<string>",
"formula": "<string>",
"daily_total": "<string>",
"treats": "<string>",
"stock_on_hand": "<string>",
"daily_cost_cents": 1,
"restrictions": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Animal nutrition
Get an animal's nutrition
The animal’s feeding list, in feeding order, and its diet. Needs read on Animals.
GET
/
api
/
animals
/
animals
/
{id}
/
nutrition
Get an animal's nutrition
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/nutrition \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/nutrition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/nutrition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"kind": "food",
"name": "<string>",
"amount": "<string>",
"schedule_note": "<string>",
"sort_order": 123
}
],
"diet": {
"brand": "<string>",
"formula": "<string>",
"daily_total": "<string>",
"treats": "<string>",
"stock_on_hand": "<string>",
"daily_cost_cents": 1,
"restrictions": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The animal's record ID (not its Pet ID).